%exam_8_54
clear;
A=imread('Cameraman.bmp');                       %读取原始图像 
subplot(231);imshow(A);
xlabel('(a) 原始图像','Fontsize',20);
% A=rgb2gray(A);
A1=imnoise(A,'salt & pepper',0.02); 
subplot(232);
imshow(A1); 
xlabel('(b) 添加椒盐噪声的图像','Fontsize',20);
B1=filter2(fspecial('average',3),A1)/255;        %进行3*3模板平滑滤波
B2=filter2(fspecial('average',5),A1)/255;        %进行5*5模板平滑滤波
B3=filter2(fspecial('average',7),A1)/255;        %进行7*7模板平滑滤波
B4=filter2(fspecial('average',9),A1)/255;        %进行9*9模板平滑滤波
subplot(233),imshow(B1);
xlabel('(c) 3*3模板平滑滤波','Fontsize',20);
subplot(234),imshow(B2);
xlabel('(d) 5*5模板平滑滤波','Fontsize',20);
subplot(235),imshow(B3);
xlabel('(e) 7*7模板平滑滤波','Fontsize',20);
subplot(236),imshow(B4);
xlabel('(f) 9*9模板平滑滤波','Fontsize',20);


